using System;
using Server;

namespace Server.Network
{
	public enum AffixType
	{
		Append = 0,
		Prepend = 1,
		System = 2,
	}
 
	public enum ALRReason
	{
		BadComm = 255,
		BadPass = 3,
		Blocked = 2,
		Idle = 254,
		InUse = 1,
		Invalid = 0,
	}

	public enum CMEFlags
	{
		Colored = 32,
		Disabled = 1,
		None = 0,
	}
 
	public enum DeleteResultType
	{
		BadRequest = 5,
		CharBeingPlayed = 2,
		CharNotExist = 1,
		CharQueued = 4,
		CharTooYoung = 3,
		PasswordInvalid = 0,
	}
 
	public enum EffectType
	{
		FixedFrom = 3,
		FixedXYZ = 2,
		Lightning = 1,
		Moving = 0,
	}
 
	public enum LRReason
	{
		AreHolding = 4,
		CannotLift = 0,
		Inspecific = 5,
		OutOfRange = 1,
		OutOfSight = 2,
		TryToSteal = 3,
	}
 
	public enum MessageType
	{
		Emote = 2,
		Encoded = 192,
		Focus = 7,
		Label = 6,
		Regular = 0,
		Spell = 10,
		System = 1,
		Whisper = 8,
		Yell = 9,
	}
 
	public enum PMMessage
	{
		CharExists = 2,
		CharInWorld = 5,
		CharNoExist = 1,
		IdleWarning = 7,
		LoginSyncError = 6,
	}
 
	public enum StringType
	{
		AppendNull = 4,
		Ascii = 1,
		LittleEndian = 2,
		Unicode = 0,
	}
}