using System;

using Server;

namespace Server.Prompts
{
	public abstract class Prompt
	{
		public Prompt() : base()
		{
			L_0006:
				Prompt.m_Serials = (Prompt.m_Serials + 1);
			this.m_Serial = (Prompt.m_Serials + 1);
			if (this.m_Serial == 0)
			{
				goto L_0006;
			}
		} 
		
		public virtual void OnCancel(Mobile from)
		{
		}

		public virtual void OnResponse(Mobile from, string text)
		{
		}

		public int Serial { 
			get
			{
				return this.m_Serial;
			}
		}
		
		private int m_Serial;
		private static int m_Serials;
	}
}