using System;
using System.Collections;

namespace Server
{
	public class Commands
	{
		public Commands() : base()
		{
		}

		public static bool Handle(Mobile from, string text)
		{
				int num1;
			string text1;
			string[] array1;
			string text2;
			CommandEntry entry1;
			CommandEventArgs args1;
			if (!text.StartsWith(Commands.m_CommandPrefix))
			{
				goto L_00E7;
 
			}
			text = text.Substring(Commands.m_CommandPrefix.Length);
			num1 = text.IndexOf(32);
			if (num1 >= 0)
			{
				text2 = text.Substring((num1 + 1));
				text1 = text.Substring(0, num1);
				array1 = Commands.Split(text2);
 
			}
			else
			{
					text2 = "";
				text1 = text.ToLower();
				array1 = new string[0];
 
			}
			entry1 = ((CommandEntry) Commands.m_Entries[text1]);
			if (entry1 != null)
			{
				if (from.AccessLevel >= entry1.AccessLevel)
				{
					if (entry1.Handler == null)
					{
						goto L_00E5;
 
					}
					args1 = new CommandEventArgs(from, text1, text2, array1);
					entry1.Handler.Invoke(args1);
					EventSink.InvokeCommand(args1);
 
				}
				else
				{
						if (from.AccessLevel <= Commands.m_BadCommandIngoreLevel)
				  {
					  return false; 
				  }
					from.SendMessage("You do not have access to that command.");
 
				}
 
			}
			else
			{
					if (from.AccessLevel <= Commands.m_BadCommandIngoreLevel)
			  {
				  return false; 
			  }
				from.SendMessage("That is not a valid command.");
 
			}
 
			L_00E5:
				return true; 
			L_00E7:
				return false; 
		}
		
		public static void Register(string command, AccessLevel access, CommandEventHandler handler)
		{
				Commands.m_Entries[command] = new CommandEntry(command, handler, access);
 
		} 

		public static string[] Split(string value)
		{
				char[] array1;
			ArrayList list1;
			int num1;
			int num2;
			char ch1;
			array1 = value.ToCharArray();
			list1 = new ArrayList();
			num1 = 0;
			num2 = 0;
			goto L_008D;
 
			L_0013:
				ch1 = array1[num1];
			if (ch1 != 34)
			{
				goto L_0057;
 
			}
			num1 = (num1 + 1);
			for (num2 = num1; (num2 < array1.Length); num2 = (num2 + 1))
			{
				if ((array1[num2] == 34) && (array1[(num2 - 1)] != 92))
				{
					goto L_0040;
 
				}
 
			}
 
			L_0040:
				list1.Add(value.Substring(num1, (num2 - num1)));
			num1 = (num2 + 2);
			goto L_008D;
 
			L_0057:
				if (ch1 == 32)
				{
					goto L_0089;
 
				}
			for (num2 = num1; (num2 < array1.Length); num2 = (num2 + 1))
			{
				if (array1[num2] == 32)
				{
					goto L_0072;
 
				}
 
			}
 
			L_0072:
				list1.Add(value.Substring(num1, (num2 - num1)));
			num1 = (num2 + 1);
			goto L_008D;
 
			L_0089:
				num1 = (num1 + 1);
 
			L_008D:
				if (num1 < array1.Length)
				{
					goto L_0013;
 
				}
			return ((string[]) list1.ToArray(typeof(string))); 
		}
		
		public static AccessLevel BadCommandIgnoreLevel 
		{ 
			get
			{
				return Commands.m_BadCommandIngoreLevel;
			}
			set
			{
				Commands.m_BadCommandIngoreLevel = value;
			}
		}

		public static string CommandPrefix 
		{ 
			get
			{
				return Commands.m_CommandPrefix;
			}
			set
			{
				Commands.m_CommandPrefix = value;
			}
		}

		public static Hashtable Entries 
		{ 
			get
			{
				return Commands.m_Entries;
			}
		}

		private static AccessLevel m_BadCommandIngoreLevel = 0;
		private static string m_CommandPrefix = "[";
		private static Hashtable m_Entries = new Hashtable(CaseInsensitiveHashCodeProvider.Default, CaseInsensitiveComparer.Default);
	}
}