using System;

using Server.Network;

namespace Server.HuePickers
{
	public class HuePicker
	{
		public HuePicker(int itemID) : base()
		{
			L_0006:
				HuePicker.m_NextSerial = (HuePicker.m_NextSerial + 1);
			this.m_Serial = HuePicker.m_NextSerial;
			if (this.m_Serial == 0)
			{
				goto L_0006;
			}
			this.m_ItemID = itemID;
		} 

		public virtual void OnResponse(int hue)
		{
		}

		public void SendTo(NetState state)
		{
			state.Send(new DisplayHuePicker(this));
			state.AddHuePicker(this);
		}

		public int ItemID { 
			get
			{
				return this.m_ItemID;
			}
		}

		public int Serial { 
			get
			{
				return this.m_Serial;
			}
		}
		
		private int m_ItemID;
		private static int m_NextSerial = 1;
		private int m_Serial;
	}
}